Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 66 lines (56 sloc) 1.178 kB
86fa58a @sferik Begin updating gem dependencies
sferik authored
1 source 'http://rubygems.org'
69689e8 @qrush Making bundler a little happier
qrush authored
2
9277eac @sferik Use pessimistic comparison operator to include security patches
sferik authored
3 gem 'rails', '~> 3.0.9'
1427175 @sferik Update rails, mail, and all sub-dependencies
sferik authored
4
4d9db7b @nickrivadeneira Move to capybara/cucumber 1.0
nickrivadeneira authored
5 gem 'clearance', '~> 0.9.1'
86fa58a @sferik Begin updating gem dependencies
sferik authored
6 gem 'fog'
4d9db7b @nickrivadeneira Move to capybara/cucumber 1.0
nickrivadeneira authored
7 gem 'gchartrb', :require => 'google_chart'
0630956 @sferik Update gravtastic dependency to version 3.1.0
sferik authored
8 gem 'gravtastic'
92a050f @sferik Update high_voltage dependency to version 1.0.0
sferik authored
9 gem 'high_voltage'
e78a8aa @sferik Update hoptoad_notifier dependency to version 2.4.11
sferik authored
10 gem 'hoptoad_notifier'
1427175 @sferik Update rails, mail, and all sub-dependencies
sferik authored
11 gem 'mail'
2a45aea @sferik Update newrepic_rpm dependency to version 3.1.0
sferik authored
12 gem 'newrelic_rpm'
3290904 @sferik Update paul_revere dependency to version 0.2.0
sferik authored
13 gem 'paul_revere'
86fa58a @sferik Begin updating gem dependencies
sferik authored
14 gem 'pg'
08a683e @sferik Update rack dependency to version 1.2.3
sferik authored
15 gem 'rack'
16 gem 'rack-maintenance', :require => 'rack/maintenance'
60243e5 @sferik Add explicit rdoc dependency for simple_markup
sferik authored
17 gem 'rdoc'
a3acb17 @sferik Update redis dependency to version 2.2.1
sferik authored
18 gem 'redis'
4d9db7b @nickrivadeneira Move to capybara/cucumber 1.0
nickrivadeneira authored
19 gem 'rest-client', :require => 'rest_client'
899feb6 @sferik Remove remaining (non-prerelease) version numbers from Gemfile.
sferik authored
20 gem 'sinatra'
3fa4498 @sferik Update will_paginate dependency to version 3.0.0
sferik authored
21 gem 'will_paginate'
69d8efe @sferik Update xml-simple dependency to version 1.1.0
sferik authored
22 gem 'xml-simple'
4d9db7b @nickrivadeneira Move to capybara/cucumber 1.0
nickrivadeneira authored
23 gem 'yajl-ruby', :require => 'yajl/json_gem'
3370b09 @qrush Bundle this up
qrush authored
24
a5047e0 @cmeiklejohn Add psych for ruby 1.9.
cmeiklejohn authored
25 platforms :ruby_19 do
26 gem 'psych'
27 end
28
28dfa0f @sferik Only require system_timer on Ruby 1.8
sferik authored
29 platforms :ruby_18 do
30 gem 'system_timer'
1a6a38c @nickrivadeneira retire webrat for good, use capybara in functionals
nickrivadeneira authored
31 group :test do
32 gem 'redgreen'
33 end
28dfa0f @sferik Only require system_timer on Ruby 1.8
sferik authored
34 end
35
e71d38e @sferik Include jruby-openssl on the Java platform
sferik authored
36 platforms :jruby do
37 gem 'jruby-openssl'
38 end
39
14f2ba5 @sferik Add entity-relationship diagram
sferik authored
40 group :development do
41 gem 'rails-erd'
42 end
43
55b54a5 @qrush Schwing! Bringing back maintenance mode
qrush authored
44 # These gems suck and do stupid things when in maintenance mode
45 group :development, :test, :staging, :production do
6094b0a @sferik Update delayed_job dependency to version 2.1.4
sferik authored
46 gem 'delayed_job'
95e30a5 @cldwalker Bump validates_url_format_of to fix 1.9 bug
cldwalker authored
47 gem 'validates_url_format_of', '~> 0.1.2'
55b54a5 @qrush Schwing! Bringing back maintenance mode
qrush authored
48 end
7731b16 @qrush Units passing!
qrush authored
49
86fa58a @sferik Begin updating gem dependencies
sferik authored
50 group :development, :test do
74b76ae @sferik Update silent-postgres dependency to version 0.0.8
sferik authored
51 gem 'silent-postgres'
0833ae7 @tcopeland Added silent-postgres to, well, silence postgres
tcopeland authored
52 end
53
78f4c37 @qrush Moving to bundler 0.9
qrush authored
54 group :test do
35710b2 @sferik Remove version number from Gemfile
sferik authored
55 gem 'cucumber-rails'
9a0abf0 @sferik Update database_cleaner dependency to version 0.6.7
sferik authored
56 gem 'database_cleaner'
5a1bbf5 @sferik Update factory_girl_rails dependency to version 1.0.1
sferik authored
57 gem 'factory_girl_rails'
928b5c7 @sferik Update launchy dependency to version 0.4.0
sferik authored
58 gem 'launchy'
86fa58a @sferik Begin updating gem dependencies
sferik authored
59 gem 'nokogiri'
4d9db7b @nickrivadeneira Move to capybara/cucumber 1.0
nickrivadeneira authored
60 gem 'rack-test', :require => 'rack/test'
2872b3a @sferik Update rr dependency to version 1.0.2
sferik authored
61 gem 'rr'
c2155eb @sferik Update shoulda dependency to version 2.11.3
sferik authored
62 gem 'shoulda'
899feb6 @sferik Remove remaining (non-prerelease) version numbers from Gemfile.
sferik authored
63 gem 'timecop'
48cbd69 @sferik Update webmock dependency to version 1.6.4
sferik authored
64 gem 'webmock'
6bb9d32 Get gemcutter running on the bundler
Carl Lerche authored
65 end
Something went wrong with that request. Please try again.